@CHARSET "UTF-8";

* {
    font-family: Segoe UI, Tahoma, Arial;
}

body {
    font: normal 11px Segoe UI, Tahoma, Arial !important;
}

html,body {
    margin: 0;
    padding: 0;
    border: 0 none;
    overflow: hidden;
    height: 100%;
    width: 100%;
}

p {
    margin: 5px;
}

.ttd-loading {
    position: absolute;
    left: 45%;
    top: 40%;
    padding: 2px;
    z-index: 20001;
    min-width: 200px;
    min-height: 21px;
}

.loading img {
    margin-bottom: 5px;
}

.loading-indicator {
    font-size: 11px;
    height: 18px;
}

#loading-mask {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 20000;
    background-color: white;
}

#loading {
    position: absolute;
    left: 45%;
    top: 40%;
    padding: 2px;
    z-index: 20001;
    height: auto;
}

#loading img {
    margin-bottom: 5px;
}

#loading .loading-indicator {
    background: white;
    color: #555;
    font: bold 13px Segoe UI, Tahoma, Arial;
    padding: 10px;
    margin: 0;
    text-align: center;
    height: auto;
}

a.ttd-navigation-entry {
    font-weight: bold;
    text-decoration: none;
    color: #49669F;
    padding-left: 20px;
    padding-top: 5px;
    line-height: 20px;
    cursor: pointer;
}

.ttd-helptext {
    border: 1px solid #99BBE8;
    padding: 0.5em 1em;
    margin-bottom: 4px;
    color: #49669F;
    font-weight: bold;
    background: #DFE8F6;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    text-align: left;
}

.x-form-field-wrap .ttd-form-color-trigger {
    background: transparent url("|images|icons|color-trigger.gif") no-repeat
        0 0 !important;
    cursor: pointer;
}

.ttd-button-logout {
    background: url(|images|icons|door_out.png) no-repeat !important;
}

.ttd-button-debug {
    background: url(|images|icons|bug.png) no-repeat !important;
}

.ttd-button-profiling {
    background: url(|images|icons|chart_bar.png) no-repeat !important;
}

.ttd-content-menu-single {
    background-image: url(|images|icons|application_delete.png) !important;
}

.ttd-content-menu-others {
    background-image: url(|images|icons|application_cascade.png) !important;
}

.ttd-default-container {
    background: url(|images|icons|bricks.png) 0 4px no-repeat !important;
}

.ttd-navigation-acl-user {
    background: url(|images|icons|user_suit.png) 0 4px no-repeat !important;
}

.ttd-navigation-acl-group {
    background: url(|images|icons|group.png) 0 4px no-repeat !important;
}

.ttd-navigation-environment {
    background: url(|images|icons|brick.png) 0 4px no-repeat !important;
}


.ttd-rowaction-icon {
    float: left;
    min-width: 16px;
    height: 16px;
    background-repeat: no-repeat;
    margin: 0 4px 0 0;
    cursor: pointer;
    overflow: hidden;
}

.ext-ie .ttd-rowaction-icon {
    width: 16px;
}

.ttd-rowaction-icon span {
    vertical-align: middle;
    padding: 0 0 0 20px;
    line-height: 18px;
}

.ext-ie .ttd-rowaction-icon span {
    width: auto;
}

.x-grid3-hd-row td.ux-filtered-column {
    font-style: italic;
    font-weight: bold;
}

.ttd-grid-export-csv {
    background: url(|images|icons|table.png) no-repeat left center !important;
}

.ttd-grid-export-xls {
    background: url(|images|icons|page_excel.png) left center no-repeat !important;
}

.ttd-grid-export-xlsx {
    background: url(|images|icons|page_excel.png) left center no-repeat !important;
}

.ttd-grid-export-pdf {
    background: url(|images|icons|page_white_text.png) left center no-repeat !important;
}

.ttd-grid-export-printing {
    background: url(|images|icons|printer.png) left center no-repeat !important;
}

.ttd-grid-export {
    background: url(|images|icons|page_save.png) left center no-repeat !important;
}

.ttd-grid-printing {
    background: url(|images|icons|printer.png) 0 0px no-repeat !important;
}

.ttd-acl-user-edit {
    background: url(|images|icons|user_edit.png) 0 4px no-repeat !important;
}

.ttd-navigation-wiki {
    background: url(|images|icons|server_go.png) 0 4px no-repeat !important;
}

.ttd-rowactions-view {
    background-image: url(|images|application_view_icons.png) !important;
}

.ttd-rowactions-edit {
    background-image: url(|images|application_form_edit.png) !important;
}

.ttd-rowactions-resent-pw {
    background-image: url(|images|email_go.png) !important;
}

.ttd-rowactions-delete {
    background-image: url(|images|delete.png) !important;
}

.ttd-rowactions-accept {
    background-image: url(|images|accept.png) !important;
}

.ttd-rowactions-new {
    background: url(|images|new.png) 0 4px no-repeat !important;
}
.x-btn-text.ttd-rowactions-new {
    background-position: 0 0 !important;
}

.ttd-rowactions-pretend {
    background: url(|images|pretend.png) 0 0px no-repeat !important;
}

.ttd-toolbar-user-portal {
    background: url(|images|icons|chart_curve.png) 0 4px no-repeat !important;
}

.ttd-toolbar-new {
    background: url(|images|new.png) 0 0px no-repeat !important;
}

.ttd-navigation-acl-user-data {
    background: url(|images|icons|folder_user.png) 0 4px no-repeat
        !important;
}

.ttd-navigation-acl-changelog {
    background: url(|images|icons|table_multiple.png) 0 4px no-repeat
        !important;
}

.ttd-navigation-loading {
    background: url(|images|icons|loading.gif) 0 4px no-repeat !important;
}

.ttd-navigation-tree-expand-all {
    background-image: url(|images|icons|expand-all.gif) !important;
}

.ttd-navigation-tree-collapse-all {
    background-image: url(|images|icons|collapse-all.gif) !important;
}

.x-form-item {
    font-size: 11px;
    margin-bottom: 2px;
}

.x-selectable,.x-selectable * {
-moz-user-select: text !important;
-khtml-user-select: text !important;
}

.x-grid3-row td,
.x-grid3-summary-row td {
    -moz-user-select: text !important;
    -khtml-user-select: text !important;
    -webkit-user-select: text !important;
}

.ux-gridfilter-text-icon {
    background: url(|images|find.png) 2px 2px no-repeat !important;
}

.ux-rangemenu-gt {
    background: url(|images|greater_then.png) !important;
    position: relative !important;
    left: 3px;
}

.ux-rangemenu-lt {
    background: url(|images|less_then.png) !important;
    position: relative !important;
    left: 3px;
}

.ux-rangemenu-eq {
    background: url(|images|equals.png) !important;
    position: relative !important;
    left: 3px;
}

.x-tab-tabmenu-right {
    background: transparent url(|images|tab-scroller-menu.gif) no-repeat 0 0 !important;
}

.icon-magnifier {
    background-image:url(|images|icons|zoom.png) !important;
}

/**
 * Wie kann ein Grid so modifiziert werden, dass es
 * mehrzeiligen Inhalt darstellen kann?
 *
 * Dazu muss der Column für die der mehrzeilige Inhalt angegeben
 * werden soll eine ID gegeben werden. Diese ID wird dann in dem
 * Statement weiter unten verwendet.
 */
/*.x-grid3-td-HEADER-ID .x-grid3-cell-inner {
    white-space:normal;
}*/

.x-grid3-td-long_description .x-grid3-cell-inner {
    white-space:normal;
}

.x-grid3-td-user_names .x-grid3-cell-inner {
    white-space:normal;
}
.x-grid3-td-user_roles .x-grid3-cell-inner {
    white-space:normal;
}
.x-date-menu {
    width: 200px !important;
}

pre.x-ux-ace-editor-panel {
    border-style: solid;
    border-width: 1px;
    border-color: #99bbe8;
}

pre.x-ux-ace-editor-panel, pre.x-ux-ace-editor-panel * {
    font-family: monospace !important;
}